import execa from '@roots/bud-support/execa';
/**
 * Execute a shell command
 *
 * @example
 * ```js
 * bud.sh(`ls -la`)
 * ```
 */
export const sh = function (command, options = {}) {
    const bud = this;
    const commandInput = (Array.isArray(command) ? command : [command])
        .map(str => str.split(` `))
        .flat();
    const bin = commandInput.shift();
    if (!bin) {
        throw new Error(`No command provided`);
    }
    const child = execa(bin, commandInput.filter(Boolean), {
        cwd: bud.context.basedir,
        ...options,
    });
    child.stdout?.pipe(process.stdout);
    child.stderr?.pipe(process.stderr);
    return child;
};
